이 섹션의 다중 페이지 출력 화면임. 여기를 클릭하여 프린트.
APIs
1 - Create VPN Gateway
1.1 - 1.1
post /v1/vpn-gateways
Description
VPN gateway 생성
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | VpnGatewayCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VpnGatewayShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/vpn-gateways
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpn 1.1"
Request body
{
"description": "Example Description for VPN Gateway",
"ip_address": "123.0.0.1",
"ip_id": "fcde872f75c145a0893d656cc698f13e",
"ip_type": "PUBLIC",
"name": "ExampleVpnGW1",
"tags": [],
"vpc_id": "ceb44ea5ecb34a49b16495f9a63b0718"
}
Example HTTP response
Response 202
{
"vpn_gateway": {
"account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Example Description for VPN Gateway",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"ip_address": "123.0.0.1",
"ip_id": "fcde872f75c145a0893d656cc698f13e",
"ip_type": "PUBLIC",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ExampleVpnGW1",
"state": "ACTIVE",
"vpc_id": "ceb44ea5ecb34a49b16495f9a63b0718",
"vpc_name": "ExampleVPC1"
}
}
1.2 - 1.0
post /v1/vpn-gateways
Description
VPN gateway 생성
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | VpnGatewayCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VpnGatewayShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/vpn-gateways
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpn 1.0"
Request body
{
"description": "Example Description for VPN Gateway",
"ip_address": "123.0.0.1",
"ip_id": "fcde872f75c145a0893d656cc698f13e",
"ip_type": "PUBLIC",
"name": "ExampleVpnGW1",
"tags": [],
"vpc_id": "ceb44ea5ecb34a49b16495f9a63b0718"
}
Example HTTP response
Response 202
{
"vpn_gateway": {
"account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Example Description for VPN Gateway",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"ip_address": "123.0.0.1",
"ip_id": "fcde872f75c145a0893d656cc698f13e",
"ip_type": "PUBLIC",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ExampleVpnGW1",
"state": "ACTIVE",
"vpc_id": "ceb44ea5ecb34a49b16495f9a63b0718",
"vpc_name": "ExampleVPC1"
}
}
2 - Create VPN Tunnel
2.1 - 1.1
post /v1/vpn-tunnels
Description
VPN tunnel 생성
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | VpnTunnelCreateRequestV1Dot1 |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VpnTunnelShowResponseV1Dot1 |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/vpn-tunnels
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpn 1.1"
Request body
{
"description": "Example Description for VPN Tunnel",
"name": "ExampleVpnTunnel1",
"phase1": {
"dpd_retry_interval": 60,
"ike_version": 2,
"peer_gateway_ip": "123.0.0.2",
"phase1_diffie_hellman_groups": [
30,
31,
32
],
"phase1_encryptions": [
"des-md5",
"chacha20poly1305-prfsha256"
],
"phase1_life_time": 86400,
"pre_shared_key": "PreSharedKey1"
},
"phase2": {
"perfect_forward_secrecy": "ENABLE",
"phase2_diffie_hellman_groups": [
30,
31,
32
],
"phase2_encryptions": [
"null-md5",
"aes128gcm",
"chacha20poly1305"
],
"phase2_life_time": 43200,
"remote_subnets": [
"10.1.1.0/24",
"10.1.2.0/24",
"10.1.3.0/24"
]
},
"tags": [],
"vpn_gateway_id": "b156740b6335468d8354eb9ef8eddf5a"
}
Example HTTP response
Response 202
{
"vpn_tunnel": {
"account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Example Description for VPN Tunnel",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ExampleVpnTunnel1",
"phase1": {
"diffie_hellman_groups": [
30,
31,
32
],
"dpd_retry_interval": 60,
"encryptions": [
"des-md5",
"chacha20poly1305-prfsha256"
],
"ike_version": 2,
"life_time": 86400,
"peer_gateway_ip": "123.0.0.2"
},
"phase2": {
"diffie_hellman_groups": [
30,
31,
32
],
"encryptions": [
"null-md5",
"aes128gcm",
"chacha20poly1305"
],
"life_time": 43200,
"perfect_forward_secrecy": "ENABLE",
"remote_subnets": [
"10.1.1.0/24",
"10.1.2.0/24",
"10.1.3.0/24"
]
},
"state": "ACTIVE",
"vpc_id": "ceb44ea5ecb34a49b16495f9a63b0718",
"vpc_name": "ExampleVPC1",
"vpn_gateway_id": "b156740b6335468d8354eb9ef8eddf5a",
"vpn_gateway_ip_address": "123.0.0.1",
"vpn_gateway_name": "ExampleVpnGW1"
}
}
2.2 - 1.0
post /v1/vpn-tunnels
Description
VPN tunnel 생성
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | VpnTunnelCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VpnTunnelShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/vpn-tunnels
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpn 1.0"
Request body
{
"description": "Example Description for VPN Tunnel",
"name": "ExampleVpnTunnel1",
"phase1": {
"dpd_retry_interval": 60,
"ike_version": 2,
"peer_gateway_ip": "123.0.0.2",
"phase1_diffie_hellman_groups": [
30,
31,
32
],
"phase1_encryptions": [
"des-md5",
"chacha20poly1305-prfsha256"
],
"phase1_life_time": 86400,
"pre_shared_key": "PreSharedKey1"
},
"phase2": {
"perfect_forward_secrecy": "ENABLE",
"phase2_diffie_hellman_groups": [
30,
31,
32
],
"phase2_encryptions": [
"null-md5",
"aes128gcm",
"chacha20poly1305"
],
"phase2_life_time": 43200,
"remote_subnet": "10.1.0.0/16"
},
"tags": [],
"vpn_gateway_id": "b156740b6335468d8354eb9ef8eddf5a"
}
Example HTTP response
Response 202
{
"vpn_tunnel": {
"account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Example Description for VPN Tunnel",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ExampleVpnTunnel1",
"phase1": {
"diffie_hellman_groups": [
30,
31,
32
],
"dpd_retry_interval": 60,
"encryptions": [
"des-md5",
"chacha20poly1305-prfsha256"
],
"ike_version": 2,
"life_time": 86400,
"peer_gateway_ip": "123.0.0.2"
},
"phase2": {
"diffie_hellman_groups": [
30,
31,
32
],
"encryptions": [
"null-md5",
"aes128gcm",
"chacha20poly1305"
],
"life_time": 43200,
"perfect_forward_secrecy": "ENABLE",
"remote_subnet": "10.1.0.0/16"
},
"state": "ACTIVE",
"vpc_id": "ceb44ea5ecb34a49b16495f9a63b0718",
"vpc_name": "ExampleVPC1",
"vpn_gateway_id": "b156740b6335468d8354eb9ef8eddf5a",
"vpn_gateway_ip_address": "123.0.0.1",
"vpn_gateway_name": "ExampleVpnGW1"
}
}
3 - Delete VPN Gateway
3.1 - 1.1
delete /v1/vpn-gateways/{vpn_gateway_id}
Description
VPN gateway 삭제
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | vpn_gateway_id required | VPN Gateway ID Example : b156740b6335468d8354eb9ef8eddf5a | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/vpn-gateways/{vpn_gateway_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpn 1.1"
Example HTTP response
Response 202
3.2 - 1.0
delete /v1/vpn-gateways/{vpn_gateway_id}
Description
VPN gateway 삭제
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | vpn_gateway_id required | VPN Gateway ID Example : b156740b6335468d8354eb9ef8eddf5a | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/vpn-gateways/{vpn_gateway_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpn 1.0"
Example HTTP response
Response 202
4 - Delete VPN Tunnel
4.1 - 1.1
delete /v1/vpn-tunnels/{vpn_tunnel_id}
Description
VPN tunnel 삭제
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | vpn_tunnel_id required | VPN Tunnel ID Example : 2ade2919287040bc92e557fbbe6709c1 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/vpn-tunnels/{vpn_tunnel_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpn 1.1"
Example HTTP response
Response 202
4.2 - 1.0
delete /v1/vpn-tunnels/{vpn_tunnel_id}
Description
VPN tunnel 삭제
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | vpn_tunnel_id required | VPN Tunnel ID Example : 2ade2919287040bc92e557fbbe6709c1 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/vpn-tunnels/{vpn_tunnel_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpn 1.0"
Example HTTP response
Response 202
5 - List VPN Gateways
5.1 - 1.1
get /v1/vpn-gateways
Description
VPN gateway 목록 조회
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | name optional | VPN Gateway Name Example : ExampleVpnGW1 | string | None |
| query | ip_address optional | VPN Gateway IP 주소 Example : 123.0.0.1 | string | None |
| query | vpc_id optional | VPC ID Example : ceb44ea5ecb34a49b16495f9a63b0718 | string | None |
| query | vpc_name optional | VPC 명 Example : ExampleVPC1 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VpnGatewayListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/vpn-gateways
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpn 1.1"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
],
"vpn_gateways": [
{
"account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Example Description for VPN Gateway",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"ip_address": "123.0.0.1",
"ip_id": "fcde872f75c145a0893d656cc698f13e",
"ip_type": "PUBLIC",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ExampleVpnGW1",
"state": "ACTIVE",
"vpc_id": "ceb44ea5ecb34a49b16495f9a63b0718",
"vpc_name": "ExampleVPC1"
}
]
}
5.2 - 1.0
get /v1/vpn-gateways
Description
VPN gateway 목록 조회
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | name optional | VPN Gateway Name Example : ExampleVpnGW1 | string | None |
| query | ip_address optional | VPN Gateway IP 주소 Example : 123.0.0.1 | string | None |
| query | vpc_id optional | VPC ID Example : ceb44ea5ecb34a49b16495f9a63b0718 | string | None |
| query | vpc_name optional | VPC 명 Example : ExampleVPC1 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VpnGatewayListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/vpn-gateways
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpn 1.0"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
],
"vpn_gateways": [
{
"account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Example Description for VPN Gateway",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"ip_address": "123.0.0.1",
"ip_id": "fcde872f75c145a0893d656cc698f13e",
"ip_type": "PUBLIC",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ExampleVpnGW1",
"state": "ACTIVE",
"vpc_id": "ceb44ea5ecb34a49b16495f9a63b0718",
"vpc_name": "ExampleVPC1"
}
]
}
6 - List VPN Tunnels
6.1 - 1.1
get /v1/vpn-tunnels
Description
VPN tunnel 목록 조회
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | name optional | VPN Tunnel 이름 Example : ExampleVpnTunnel1 | string | None |
| query | vpn_gateway_id optional | VPN Gateway ID Example : b156740b6335468d8354eb9ef8eddf5a | string | None |
| query | vpn_gateway_name optional | VPN Gateway Name Example : ExampleVpnGW1 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VpnTunnelListResponseV1Dot1 |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/vpn-tunnels
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpn 1.1"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
],
"vpn_tunnels": [
{
"account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Example Description for VPN Tunnel",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ExampleVpnTunnel1",
"phase1": {
"dpd_retry_interval": 60,
"ike_version": 2,
"life_time": 86400,
"peer_gateway_ip": "123.0.0.2"
},
"phase2": {
"life_time": 43200,
"perfect_forward_secrecy": "ENABLE",
"remote_subnets": [
"10.1.1.0/24",
"10.1.2.0/24",
"10.1.3.0/24"
]
},
"state": "ACTIVE",
"vpc_id": "ceb44ea5ecb34a49b16495f9a63b0718",
"vpc_name": "ExampleVPC1",
"vpn_gateway_id": "b156740b6335468d8354eb9ef8eddf5a",
"vpn_gateway_ip_address": "123.0.0.1",
"vpn_gateway_name": "ExampleVpnGW1"
}
]
}
6.2 - 1.0
get /v1/vpn-tunnels
Description
VPN tunnel 목록 조회
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | name optional | VPN Tunnel 이름 Example : ExampleVpnTunnel1 | string | None |
| query | vpn_gateway_id optional | VPN Gateway ID Example : b156740b6335468d8354eb9ef8eddf5a | string | None |
| query | vpn_gateway_name optional | VPN Gateway Name Example : ExampleVpnGW1 | string | None |
| query | peer_gateway_ip optional | VPN Tunnel Peer Gateway IP 주소 Example : 123.0.0.2 | string | None |
| query | remote_subnet optional | VPN Tunnel IPSec Remote Subnet Example : 10.1.0.0/16 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VpnTunnelListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/vpn-tunnels
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpn 1.0"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
],
"vpn_tunnels": [
{
"account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Example Description for VPN Tunnel",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ExampleVpnTunnel1",
"phase1": {
"dpd_retry_interval": 60,
"ike_version": 2,
"life_time": 86400,
"peer_gateway_ip": "123.0.0.2"
},
"phase2": {
"life_time": 43200,
"perfect_forward_secrecy": "ENABLE",
"remote_subnet": "10.1.0.0/16"
},
"state": "ACTIVE",
"vpc_id": "ceb44ea5ecb34a49b16495f9a63b0718",
"vpc_name": "ExampleVPC1",
"vpn_gateway_id": "b156740b6335468d8354eb9ef8eddf5a",
"vpn_gateway_ip_address": "123.0.0.1",
"vpn_gateway_name": "ExampleVpnGW1"
}
]
}
7 - Set VPN Gateway
7.1 - 1.1
put /v1/vpn-gateways/{vpn_gateway_id}
Description
VPN gateway 수정
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | vpn_gateway_id required | VPN Gateway ID Example : b156740b6335468d8354eb9ef8eddf5a | string | None |
| body | body required | VpnGatewaySetRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VpnGatewayShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/vpn-gateways/{vpn_gateway_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpn 1.1"
Request body
{
"description": "Example Description for VPN Gateway"
}
Example HTTP response
Response 200
{
"vpn_gateway": {
"account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Example Description for VPN Gateway",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"ip_address": "123.0.0.1",
"ip_id": "fcde872f75c145a0893d656cc698f13e",
"ip_type": "PUBLIC",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ExampleVpnGW1",
"state": "ACTIVE",
"vpc_id": "ceb44ea5ecb34a49b16495f9a63b0718",
"vpc_name": "ExampleVPC1"
}
}
7.2 - 1.0
put /v1/vpn-gateways/{vpn_gateway_id}
Description
VPN gateway 수정
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | vpn_gateway_id required | VPN Gateway ID Example : b156740b6335468d8354eb9ef8eddf5a | string | None |
| body | body required | VpnGatewaySetRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VpnGatewayShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/vpn-gateways/{vpn_gateway_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpn 1.0"
Request body
{
"description": "Example Description for VPN Gateway"
}
Example HTTP response
Response 200
{
"vpn_gateway": {
"account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Example Description for VPN Gateway",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"ip_address": "123.0.0.1",
"ip_id": "fcde872f75c145a0893d656cc698f13e",
"ip_type": "PUBLIC",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ExampleVpnGW1",
"state": "ACTIVE",
"vpc_id": "ceb44ea5ecb34a49b16495f9a63b0718",
"vpc_name": "ExampleVPC1"
}
}
8 - Set VPN Tunnel
8.1 - 1.1
put /v1/vpn-tunnels/{vpn_tunnel_id}
Description
VPN tunnel 수정
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | vpn_tunnel_id required | VPN Tunnel ID Example : 2ade2919287040bc92e557fbbe6709c1 | string | None |
| body | body required | VpnTunnelSetRequestV1Dot1 |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VpnTunnelShowResponseV1Dot1 |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/vpn-tunnels/{vpn_tunnel_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpn 1.1"
Request body
{
"description": "Example Description for VPN Tunnel",
"phase1": {
"dpd_retry_interval": 60,
"ike_version": 2,
"peer_gateway_ip": "123.0.0.2",
"phase1_diffie_hellman_groups": [
30,
31,
32
],
"phase1_encryptions": [
"des-md5",
"chacha20poly1305-prfsha256"
],
"phase1_life_time": 86400,
"pre_shared_key": "PreSharedKey1"
},
"phase2": {
"perfect_forward_secrecy": "ENABLE",
"phase2_diffie_hellman_groups": [
30,
31,
32
],
"phase2_encryptions": [
"null-md5",
"aes128gcm",
"chacha20poly1305"
],
"phase2_life_time": 43200,
"remote_subnets": [
"10.1.1.0/24",
"10.1.2.0/24",
"10.1.3.0/24"
]
}
}
Example HTTP response
Response 202
{
"vpn_tunnel": {
"account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Example Description for VPN Tunnel",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ExampleVpnTunnel1",
"phase1": {
"diffie_hellman_groups": [
30,
31,
32
],
"dpd_retry_interval": 60,
"encryptions": [
"des-md5",
"chacha20poly1305-prfsha256"
],
"ike_version": 2,
"life_time": 86400,
"peer_gateway_ip": "123.0.0.2"
},
"phase2": {
"diffie_hellman_groups": [
30,
31,
32
],
"encryptions": [
"null-md5",
"aes128gcm",
"chacha20poly1305"
],
"life_time": 43200,
"perfect_forward_secrecy": "ENABLE",
"remote_subnets": [
"10.1.1.0/24",
"10.1.2.0/24",
"10.1.3.0/24"
]
},
"state": "ACTIVE",
"vpc_id": "ceb44ea5ecb34a49b16495f9a63b0718",
"vpc_name": "ExampleVPC1",
"vpn_gateway_id": "b156740b6335468d8354eb9ef8eddf5a",
"vpn_gateway_ip_address": "123.0.0.1",
"vpn_gateway_name": "ExampleVpnGW1"
}
}
8.2 - 1.0
put /v1/vpn-tunnels/{vpn_tunnel_id}
Description
VPN tunnel 수정
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | vpn_tunnel_id required | VPN Tunnel ID Example : 2ade2919287040bc92e557fbbe6709c1 | string | None |
| body | body required | VpnTunnelSetRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VpnTunnelShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/vpn-tunnels/{vpn_tunnel_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpn 1.0"
Request body
{
"description": "Example Description for VPN Tunnel",
"phase1": {
"dpd_retry_interval": 60,
"ike_version": 2,
"peer_gateway_ip": "123.0.0.2",
"phase1_diffie_hellman_groups": [
30,
31,
32
],
"phase1_encryptions": [
"des-md5",
"chacha20poly1305-prfsha256"
],
"phase1_life_time": 86400,
"pre_shared_key": "PreSharedKey1"
},
"phase2": {
"perfect_forward_secrecy": "ENABLE",
"phase2_diffie_hellman_groups": [
30,
31,
32
],
"phase2_encryptions": [
"null-md5",
"aes128gcm",
"chacha20poly1305"
],
"phase2_life_time": 43200,
"remote_subnet": "10.1.0.0/16"
}
}
Example HTTP response
Response 202
{
"vpn_tunnel": {
"account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Example Description for VPN Tunnel",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ExampleVpnTunnel1",
"phase1": {
"diffie_hellman_groups": [
30,
31,
32
],
"dpd_retry_interval": 60,
"encryptions": [
"des-md5",
"chacha20poly1305-prfsha256"
],
"ike_version": 2,
"life_time": 86400,
"peer_gateway_ip": "123.0.0.2"
},
"phase2": {
"diffie_hellman_groups": [
30,
31,
32
],
"encryptions": [
"null-md5",
"aes128gcm",
"chacha20poly1305"
],
"life_time": 43200,
"perfect_forward_secrecy": "ENABLE",
"remote_subnet": "10.1.0.0/16"
},
"state": "ACTIVE",
"vpc_id": "ceb44ea5ecb34a49b16495f9a63b0718",
"vpc_name": "ExampleVPC1",
"vpn_gateway_id": "b156740b6335468d8354eb9ef8eddf5a",
"vpn_gateway_ip_address": "123.0.0.1",
"vpn_gateway_name": "ExampleVpnGW1"
}
}
9 - Show VPN Gateway
9.1 - 1.1
get /v1/vpn-gateways/{vpn_gateway_id}
Description
VPN gateway 상세 조회
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | vpn_gateway_id required | VPN Gateway ID Example : b156740b6335468d8354eb9ef8eddf5a | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VpnGatewayShowResponse |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/vpn-gateways/{vpn_gateway_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpn 1.1"
Example HTTP response
Response 200
{
"vpn_gateway": {
"account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Example Description for VPN Gateway",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"ip_address": "123.0.0.1",
"ip_id": "fcde872f75c145a0893d656cc698f13e",
"ip_type": "PUBLIC",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ExampleVpnGW1",
"state": "ACTIVE",
"vpc_id": "ceb44ea5ecb34a49b16495f9a63b0718",
"vpc_name": "ExampleVPC1"
}
}
9.2 - 1.0
get /v1/vpn-gateways/{vpn_gateway_id}
Description
VPN gateway 상세 조회
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | vpn_gateway_id required | VPN Gateway ID Example : b156740b6335468d8354eb9ef8eddf5a | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VpnGatewayShowResponse |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/vpn-gateways/{vpn_gateway_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpn 1.0"
Example HTTP response
Response 200
{
"vpn_gateway": {
"account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Example Description for VPN Gateway",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"ip_address": "123.0.0.1",
"ip_id": "fcde872f75c145a0893d656cc698f13e",
"ip_type": "PUBLIC",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ExampleVpnGW1",
"state": "ACTIVE",
"vpc_id": "ceb44ea5ecb34a49b16495f9a63b0718",
"vpc_name": "ExampleVPC1"
}
}
10 - Show VPN Tunnel
10.1 - 1.1
get /v1/vpn-tunnels/{vpn_tunnel_id}
Description
VPN tunnel 상세 조회
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | vpn_tunnel_id required | VPN Tunnel ID Example : 2ade2919287040bc92e557fbbe6709c1 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VpnTunnelShowWithStatusResponseV1Dot1 |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/vpn-tunnels/{vpn_tunnel_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpn 1.1"
Example HTTP response
Response 200
{
"vpn_tunnel": {
"account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Example Description for VPN Tunnel",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ExampleVpnTunnel1",
"phase1": {
"diffie_hellman_groups": [
30,
31,
32
],
"dpd_retry_interval": 60,
"encryptions": [
"des-md5",
"chacha20poly1305-prfsha256"
],
"ike_version": 2,
"life_time": 86400,
"peer_gateway_ip": "123.0.0.2"
},
"phase2": {
"diffie_hellman_groups": [
30,
31,
32
],
"encryptions": [
"null-md5",
"aes128gcm",
"chacha20poly1305"
],
"life_time": 43200,
"perfect_forward_secrecy": "ENABLE",
"remote_subnets": [
"10.1.1.0/24",
"10.1.2.0/24",
"10.1.3.0/24"
]
},
"state": "ACTIVE",
"status": "UP",
"vpc_id": "ceb44ea5ecb34a49b16495f9a63b0718",
"vpc_name": "ExampleVPC1",
"vpn_gateway_id": "b156740b6335468d8354eb9ef8eddf5a",
"vpn_gateway_ip_address": "123.0.0.1",
"vpn_gateway_name": "ExampleVpnGW1"
}
}
10.2 - 1.0
get /v1/vpn-tunnels/{vpn_tunnel_id}
Description
VPN tunnel 상세 조회
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | vpn_tunnel_id required | VPN Tunnel ID Example : 2ade2919287040bc92e557fbbe6709c1 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VpnTunnelShowWithStatusResponse |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/vpn-tunnels/{vpn_tunnel_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpn 1.0"
Example HTTP response
Response 200
{
"vpn_tunnel": {
"account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Example Description for VPN Tunnel",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "ExampleVpnTunnel1",
"phase1": {
"diffie_hellman_groups": [
30,
31,
32
],
"dpd_retry_interval": 60,
"encryptions": [
"des-md5",
"chacha20poly1305-prfsha256"
],
"ike_version": 2,
"life_time": 86400,
"peer_gateway_ip": "123.0.0.2"
},
"phase2": {
"diffie_hellman_groups": [
30,
31,
32
],
"encryptions": [
"null-md5",
"aes128gcm",
"chacha20poly1305"
],
"life_time": 43200,
"perfect_forward_secrecy": "ENABLE",
"remote_subnet": "10.1.0.0/16"
},
"state": "ACTIVE",
"status": "UP",
"vpc_id": "ceb44ea5ecb34a49b16495f9a63b0718",
"vpc_name": "ExampleVPC1",
"vpn_gateway_id": "b156740b6335468d8354eb9ef8eddf5a",
"vpn_gateway_ip_address": "123.0.0.1",
"vpn_gateway_name": "ExampleVpnGW1"
}
}